Skip to main content
GET
/
private-records
/
{record_id}
/
metrics
/
summaries
/
current
Get private record analytics summary
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/metrics/summaries/current \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "strength": "<string>",
  "weakness": "<string>",
  "risks_and_notes": "<string>",
  "summary": "<string>",
  "generated_on": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the summary

Example:

"623e4567-e89b-12d3-a456-426614174005"

strength
string
required

Key strengths of the organization

Example:

"Strong cashflow and high revenue"

weakness
string
required

Key weaknesses of the organization

Example:

"Dependence on a single client"

risks_and_notes
string
required

Identified risks and notes

Example:

"Market volatility risk identified"

summary
string
required

Full summary text

Example:

"Overall strong financial position with manageable risks"

generated_on
string<date-time>
required

Timestamp when the summary was generated

Example:

"2025-12-03T12:00:00.123456"

created_at
string<date-time>
required

Timestamp when the summary entry was created

Example:

"2025-12-01T12:00:00.123456"

updated_at
string<date-time>
required

Timestamp when the summary entry was last updated

Example:

"2025-12-03T12:00:00.123456"